<html>
<head>
<title>OGRE: Ogre::Compiler2Pass::LexemeTokenDef Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Compiler2Pass.html">Compiler2Pass</a>::<a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html">LexemeTokenDef</a></div>
<h1>Ogre::Compiler2Pass::LexemeTokenDef Struct Reference</h1><!-- doxytag: class="Ogre::Compiler2Pass::LexemeTokenDef" -->structure used to build lexeme Type library  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#d388591424fb7e17efd7d027dfcefc87">LexemeTokenDef</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">text representation of token or valid characters for label parsing  <a href="#d388591424fb7e17efd7d027dfcefc87"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#d95020fc2e5f9f8915e8f89142223ddb">LexemeTokenDef</a> (const size_t <a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#5195d870ade3d8b630e972623650e16f">ID</a>, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;<a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#0ffb2e2e8a9789dc70d155aa33a6f61e">lexeme</a>, const bool <a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#9f8e40309f04488c13344c19e3c25501">hasAction</a>=false, const bool caseSensitive=false)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#5195d870ade3d8b630e972623650e16f">ID</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#9f8e40309f04488c13344c19e3c25501">hasAction</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Token ID which is the index into the Lexeme Token Definition Container.  <a href="#9f8e40309f04488c13344c19e3c25501"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#3c6c022789a22662998bdb83b25857d2">isNonTerminal</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">has an action associated with it. only applicable to terminal tokens  <a href="#3c6c022789a22662998bdb83b25857d2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#2b2181e1e987fddbc87f216b9a6e12a3">ruleID</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">if true then token is non-terminal  <a href="#2b2181e1e987fddbc87f216b9a6e12a3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#37ce6c6783c7ee07e618a530c178e0c3">isCaseSensitive</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">index into Rule database for non-terminal token rulepath and lexeme  <a href="#37ce6c6783c7ee07e618a530c178e0c3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#0ffb2e2e8a9789dc70d155aa33a6f61e">lexeme</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">if true use case sensitivity when comparing lexeme to source  <a href="#0ffb2e2e8a9789dc70d155aa33a6f61e"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
structure used to build lexeme Type library 
<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00206">206</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="d388591424fb7e17efd7d027dfcefc87"></a><!-- doxytag: member="Ogre::Compiler2Pass::LexemeTokenDef::LexemeTokenDef" ref="d388591424fb7e17efd7d027dfcefc87" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Compiler2Pass::LexemeTokenDef::LexemeTokenDef           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
text representation of token or valid characters for label parsing 
<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00215">215</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d95020fc2e5f9f8915e8f89142223ddb"></a><!-- doxytag: member="Ogre::Compiler2Pass::LexemeTokenDef::LexemeTokenDef" ref="d95020fc2e5f9f8915e8f89142223ddb" args="(const size_t ID, const String &amp;lexeme, const bool hasAction=false, const bool caseSensitive=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Compiler2Pass::LexemeTokenDef::LexemeTokenDef           </td>
          <td>(</td>
          <td class="paramtype">const size_t&nbsp;</td>
          <td class="paramname"> <em>ID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>lexeme</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>hasAction</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&nbsp;</td>
          <td class="paramname"> <em>caseSensitive</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00216">216</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="5195d870ade3d8b630e972623650e16f"></a><!-- doxytag: member="Ogre::Compiler2Pass::LexemeTokenDef::ID" ref="5195d870ade3d8b630e972623650e16f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#5195d870ade3d8b630e972623650e16f">Ogre::Compiler2Pass::LexemeTokenDef::ID</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00208">208</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9f8e40309f04488c13344c19e3c25501"></a><!-- doxytag: member="Ogre::Compiler2Pass::LexemeTokenDef::hasAction" ref="9f8e40309f04488c13344c19e3c25501" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#9f8e40309f04488c13344c19e3c25501">Ogre::Compiler2Pass::LexemeTokenDef::hasAction</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Token ID which is the index into the Lexeme Token Definition Container. 
<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00209">209</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3c6c022789a22662998bdb83b25857d2"></a><!-- doxytag: member="Ogre::Compiler2Pass::LexemeTokenDef::isNonTerminal" ref="3c6c022789a22662998bdb83b25857d2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#3c6c022789a22662998bdb83b25857d2">Ogre::Compiler2Pass::LexemeTokenDef::isNonTerminal</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
has an action associated with it. only applicable to terminal tokens 
<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00210">210</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2b2181e1e987fddbc87f216b9a6e12a3"></a><!-- doxytag: member="Ogre::Compiler2Pass::LexemeTokenDef::ruleID" ref="2b2181e1e987fddbc87f216b9a6e12a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#2b2181e1e987fddbc87f216b9a6e12a3">Ogre::Compiler2Pass::LexemeTokenDef::ruleID</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
if true then token is non-terminal 
<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00211">211</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="37ce6c6783c7ee07e618a530c178e0c3"></a><!-- doxytag: member="Ogre::Compiler2Pass::LexemeTokenDef::isCaseSensitive" ref="37ce6c6783c7ee07e618a530c178e0c3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#37ce6c6783c7ee07e618a530c178e0c3">Ogre::Compiler2Pass::LexemeTokenDef::isCaseSensitive</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
index into Rule database for non-terminal token rulepath and lexeme 
<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00212">212</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0ffb2e2e8a9789dc70d155aa33a6f61e"></a><!-- doxytag: member="Ogre::Compiler2Pass::LexemeTokenDef::lexeme" ref="0ffb2e2e8a9789dc70d155aa33a6f61e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#0ffb2e2e8a9789dc70d155aa33a6f61e">Ogre::Compiler2Pass::LexemeTokenDef::lexeme</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
if true use case sensitivity when comparing lexeme to source 
<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00213">213</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:21 2008
</p>
</body>
</html>
